package com.gyee.alarm.service;


import com.gyee.alarm.model.auto.ProEconEarlyReportWt;
import com.gyee.alarm.service.auto.IProEconEarlyReportWtService;
import org.springframework.stereotype.Service;


import javax.annotation.Resource;
import java.util.List;


@Service

public class EarlyReportWindturbineService{

    @Resource
    private IProEconEarlyReportWtService proEconEarlyReportWtService;
    
    public boolean saveEarlyReportInfo(List<ProEconEarlyReportWt> lst) {
        boolean b = proEconEarlyReportWtService.saveBatch(lst);
        return b;
    }

    public List<ProEconEarlyReportWt> getReportWindturbineByIds(List<String> idList) {
        List<ProEconEarlyReportWt> reportWindturbineList = proEconEarlyReportWtService.findByIds(idList);
        return reportWindturbineList;

    }



    public List<ProEconEarlyReportWt> getReportWindturbineByReportId(List<String> reportIdList) {
        List<ProEconEarlyReportWt> byReportIds = proEconEarlyReportWtService.findByReportIds(reportIdList);
        return byReportIds;

    }
}
